6.0.0-git
2019-03-20

[#7759] DIMP not always showing translated labels
Summary DIMP not always showing translated labels
Queue IMP
Queue Version 4.3.2
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester thomas (at) gelf (dot) net
Created 2008-12-05 (3757 days ago)
Due
Updated 2010-01-12 (3354 days ago)
Assigned 2008-12-22 (3740 days ago)
Resolved 2008-12-29 (3733 days ago)
Milestone
Patch Yes

History
2008-12-29 20:12:49 Michael Slusarz Comment #9
Taken from Jan Schneider
State ⇒ Resolved
Reply to this comment
Fixed in IMP 4.3.3.
2008-12-22 15:54:57 Chuck Hagenbuch Version ⇒ 4.3.2
Queue ⇒ IMP
State ⇒ Assigned
 
2008-12-22 10:06:29 thomas (at) gelf (dot) net Comment #7 Reply to this comment
After looking at this - why is this not an IMP ticket?
...
So does this not display correctly in IMP either?
I'm using DIMP only ;-) But you're right, IMP is also displaying 
"wrong" labels. Easiest way to reproduce this:



* create a new subfolder below your Inbox

* switch to this subfolder



It will show you INBOX/Folder instead of Inbox/Folder - and in other 
languages it is even worse, as INBOX remains INBOX and is not 
translated to "Posteingang", "Posta in arrivo" etc.


2008-12-22 03:09:00 Chuck Hagenbuch Comment #6 Reply to this comment
Thomas, can you respond to the question about IMP display?
2008-12-16 03:43:30 Michael Slusarz Comment #5
State ⇒ Feedback
Reply to this comment
Yes, that doesn't have anything to do with the other folder
translation issues. The translation works, but gets lost once it's
used inside the tree hierarchy. At least that's how I understood
Thomas' report.
After looking at this - why is this not an IMP ticket?  The mailbox 
label in DIMP is set not via the cached mailbox information on the 
browser but via the 'label' metadata sent in the ListMessages 
response.  This label is created using IMP::getLabel() - which is the 
way we generate labels everywhere in IMP.  So does this not display 
correctly in IMP either?
2008-12-08 12:21:53 Jan Schneider Comment #4
State ⇒ Assigned
Reply to this comment
Yes, that doesn't have anything to do with the other folder 
translation issues. The translation works, but gets lost once it's 
used inside the tree hierarchy. At least that's how I understood 
Thomas' report.
2008-12-08 11:37:20 thomas (at) gelf (dot) net Comment #3 Reply to this comment
Thank you for your feedback! Please note that right now every folder 
as two related properties:

- mbox name (not translated, attribute "l", example: "INBOX_MeinOrdner"

- label (missing hierarchy information, just "MeinOrdner" in the above 
example)

DIMP is currently using mbox as a header, there has been a _-to__ and 
/-to-_ on serverside, transformation back is afair happening in JS.



What I'm doing in my patch is



- check wheter given folder is a special folder, if so: use label 
instead of mbox

- otherwise find out if folder is a subfolder, if so check whether the 
root folder is a special folder and if so: use label instead of mbox 
for root folder name, concatenate parts once again



I agree that providing correct label as an attribute on serverside 
would be the correct and more elegant method, but that would require 
one additional attribute (label is required for tree display, mbox for 
communication with the server, ListMessages etc) as there is no such 
attribute right now.



The patch I've attached is "mixing" given information in label and 
mbox and I agree that it is a really opportunistic attempt of solving 
this problem - however IMO it has been the least intrusive one.



Cheers,

Thomas
2008-12-08 06:56:23 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment
Briefly looked at this, but at a minimum any label manipulations 
should take place on the server (via PHP code) *not* on the browser 
(via JS).



However, this looks related to some of the other folder naming tickets 
floating around so I will wait for Jan's input.
2008-12-08 02:44:17 Chuck Hagenbuch Assigned to Jan Schneider
Assigned to Michael Slusarz
State ⇒ Assigned
 
2008-12-05 17:11:09 thomas (at) gelf (dot) net Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ DIMP not always showing translated labels
Queue ⇒ DIMP
Milestone ⇒
Patch ⇒ Yes
New Attachment: dimp_special_foldername.patch Download
Reply to this comment
INBOX has special treatment, it's shown as "Posteingang", "Posta in 
Arrivo" etc. However if I choose a subfolder of my INBOX heading will 
be "INBOX/subfolder" instead of "Posteingang/subfolder".



The attached patch fixes this behaviour, I hope it is done the right 
way ;-) I tried different approaches (pass label when clicking and 
setting correct label on server side etc), this one seemed to be the 
cleanest one.



Please note that this also fixes the same issue with special folder 
names having a translated label. Afaik there is no such support in 
DIMP right now - displayed special folder names will always equal 
server-side folder name.



My DIMP is patched to have server-side Drafts / Sent / Trash folders 
being usable as such in Thunderbird & Co and nonetheless displayed 
using the user's language in DIMP. I'll immediately open a related bug 
report, as IMO this seems to be a really important feature.



Best regards,

Thomas Gelf


Saved Queries